curl --location 'http://fssportal.com/api/v1/lead_source/update' \
--header 'X-API-Token: YOUR_API_TOKEN' \
--header 'Content-Type: application/json' \
--data-raw '{
"lead_source_id": 68,
"company_name": "Test Company",
"name": "John",
"surname": "Doe",
"email": "john.doe2@example.com",
"phone_no": "9876543210",
"address": "123 Main Street",
"city": "Rajkot",
"state": "Gujarat",
"zip_code": "360006"
}'
const response = await fetch('http://fssportal.com/api/v1/lead_source/update', {
method: 'POST',
headers: {
'X-API-Token': 'YOUR_API_TOKEN',
'Content-Type': 'application/json'
},
body: JSON.stringify({
"lead_source_id": 68,
"company_name": "Test Company",
"name": "John",
"surname": "Doe",
"email": "john.doe2@example.com",
"phone_no": "9876543210",
"address": "123 Main Street",
"city": "Rajkot",
"state": "Gujarat",
"zip_code": "360006"
})
});
const data = await response.json();
{
"message": "Lead Source updated successfully.",
"data": {
"id": 68,
"user_id": 68,
"company_name": "Test Company",
"name": "John",
"surname": "Doe",
"email": "john.doe2@example.com",
"phone_no": "9876543210",
"address": "123 Main Street",
"city": "Rajkot",
"state": "Gujarat",
"zip_code": "360006",
"billing_address": "123 Main Street",
"billing_city": "Rajkot",
"billing_state": "Gujarat",
"billing_zip_code": "360006",
"created_at": "2025-05-23T15:52:50.000000Z",
"updated_at": "2026-05-14T11:36:31.000000Z"
}
}
Lead Sources
Update Lead Source
Update an existing lead source
POST
/
api
/
v1
/
lead_source
/
update
curl --location 'http://fssportal.com/api/v1/lead_source/update' \
--header 'X-API-Token: YOUR_API_TOKEN' \
--header 'Content-Type: application/json' \
--data-raw '{
"lead_source_id": 68,
"company_name": "Test Company",
"name": "John",
"surname": "Doe",
"email": "john.doe2@example.com",
"phone_no": "9876543210",
"address": "123 Main Street",
"city": "Rajkot",
"state": "Gujarat",
"zip_code": "360006"
}'
const response = await fetch('http://fssportal.com/api/v1/lead_source/update', {
method: 'POST',
headers: {
'X-API-Token': 'YOUR_API_TOKEN',
'Content-Type': 'application/json'
},
body: JSON.stringify({
"lead_source_id": 68,
"company_name": "Test Company",
"name": "John",
"surname": "Doe",
"email": "john.doe2@example.com",
"phone_no": "9876543210",
"address": "123 Main Street",
"city": "Rajkot",
"state": "Gujarat",
"zip_code": "360006"
})
});
const data = await response.json();
{
"message": "Lead Source updated successfully.",
"data": {
"id": 68,
"user_id": 68,
"company_name": "Test Company",
"name": "John",
"surname": "Doe",
"email": "john.doe2@example.com",
"phone_no": "9876543210",
"address": "123 Main Street",
"city": "Rajkot",
"state": "Gujarat",
"zip_code": "360006",
"billing_address": "123 Main Street",
"billing_city": "Rajkot",
"billing_state": "Gujarat",
"billing_zip_code": "360006",
"created_at": "2025-05-23T15:52:50.000000Z",
"updated_at": "2026-05-14T11:36:31.000000Z"
}
}
Endpoint
POST /api/v1/lead_source/update
This endpoint requires authentication
Headers
string
required
Your API access token. You can also set this globally in the API playground.
string
required
The platform making the request:
WEB, IOS, or ANDROID.Request Body
integer
required
The unique identifier of the lead source to update.
string
company name
string
required
name
string
required
surname
string
required
email
string
phone no
string
address
string
city
string
state
string
zip code
Response
string
message
object
curl --location 'http://fssportal.com/api/v1/lead_source/update' \
--header 'X-API-Token: YOUR_API_TOKEN' \
--header 'Content-Type: application/json' \
--data-raw '{
"lead_source_id": 68,
"company_name": "Test Company",
"name": "John",
"surname": "Doe",
"email": "john.doe2@example.com",
"phone_no": "9876543210",
"address": "123 Main Street",
"city": "Rajkot",
"state": "Gujarat",
"zip_code": "360006"
}'
const response = await fetch('http://fssportal.com/api/v1/lead_source/update', {
method: 'POST',
headers: {
'X-API-Token': 'YOUR_API_TOKEN',
'Content-Type': 'application/json'
},
body: JSON.stringify({
"lead_source_id": 68,
"company_name": "Test Company",
"name": "John",
"surname": "Doe",
"email": "john.doe2@example.com",
"phone_no": "9876543210",
"address": "123 Main Street",
"city": "Rajkot",
"state": "Gujarat",
"zip_code": "360006"
})
});
const data = await response.json();
{
"message": "Lead Source updated successfully.",
"data": {
"id": 68,
"user_id": 68,
"company_name": "Test Company",
"name": "John",
"surname": "Doe",
"email": "john.doe2@example.com",
"phone_no": "9876543210",
"address": "123 Main Street",
"city": "Rajkot",
"state": "Gujarat",
"zip_code": "360006",
"billing_address": "123 Main Street",
"billing_city": "Rajkot",
"billing_state": "Gujarat",
"billing_zip_code": "360006",
"created_at": "2025-05-23T15:52:50.000000Z",
"updated_at": "2026-05-14T11:36:31.000000Z"
}
}
Notes
- Authentication is required
⌘I
